DIPlib Documentation - ©1995-2009 Quantitative Imaging Group, Delft University of Technology.

# IncoherentOTF

Generates an incoherent OTF

## SYNOPSIS

`#include "dip_microscopy.h"`

dip_Error dip_IncoherentOTF ( out, defocus, xNyquist, amplitude, otf )

## DATA TYPES

Output: sfloat

## FUNCTION

This function implements the formulae for a (defocused) incoherent OTF as described by Castleman. When `defocus` is unequal to zero, either the Stokseth approximation or the Hopkins approximation is used. The `defocus` is defined a the maximum defocus path length error divided by the wave length (See Castleman for details). The summation over the Bessel functions in the Hopkins formluation, is stopped when the change is smaller than `DIP_MICROSCOPY_HOPKINS_OTF_CUTOFF`.

## ARGUMENTS

Data type | Name | Description
`dip_Image` | `out` | Output
`dip_float` | `defocus` | Defocus
`dip_float` | `xNyquist` | Oversampling
`dip_float` | `amplitude` | Amplitude
`dipf_IncoherentOTF` | `otf` | Otf approximation

The `dipf_IncoherentOTF` enumeration supports the following flags:

Name | Description
`DIP_MICROSCOPY_OTF_STOKSETH` | Stokseth OTF approximation
`DIP_MICROSCOPY_OTF_HOPKINS` | Hopkins OTF approximation

## LITERATURE

K.R. Castleman, "Digital image processing, second edition", Prentice Hall, Englewood Cliffs, 1996.

## SEE ALSO

`IncoherentPSF`

DIPlib on-line documentation | Function reference | Global function index